Subject: Re: Patch: link state detection for 8139too against 2.4.20rc2 / 2.5

From: Jeff Garzik <[email-masked]>
Date: Mon, 9 Dec 2002 18:25:59 -0500

On Mon, Dec 09, 2002 at 11:36:11PM +0100, Stefan Rompf wrote:
> Hi,
> 
> Jeff Garzik wrote:
> 
> > > ...that was some days ago. I've seen that Jeff is enhancing the MII
> > > interface library, so I used the functions provided there. Patch is
> > > against 2.4.20rc2 and 2.5 with some offset. Please apply if it looks
> > > good.
> 
> [...]
> 
> > close -- you don't want to unconditionally "initialize" the media 
> > (mii_check_media second arg).
> 
> I've just seen the reason: No need to read the MII_ADVERTISE register
> once the structure has been initialized. Expect another patch the next
> days.

Thanks.

> > the phy code is gonna be pretty darned similar.  Eventually the phy code 
> > needs to move to a common 8139lib.c, because both old-8139 line and 
> 
> May be. However, I cannot help there. I just have one card of the 8139
> family, and all I could produce is some compiles for me stuff -
> something that I would not consider helpful.

<shrug>  I would consider it helpful.  If you are willing to do the
coding and worksforme testing, I can review and do further testing.
Part of the power of open source :)

	Jeff